## elementpath 4.8.0

=== doc/requirements.txt ===
Sphinx==7.2.6
readthedocs-sphinx-search==0.3.2

## elementpath 1.4.6

=== debian/changelog ===
elementpath (1.4.6-1) unstable; urgency=medium

  [ Alvin Chen ]
  * New upstream release

  [ SZ Lin (林上智) ]
  * Add salsa-ci.yml for autopkgtest purpose

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 14 Aug 2020 16:03:10 +0800

elementpath (1.4.4-1) unstable; urgency=low

  [ Alvin Chen ]
  * Initial release. (Closes: #958660)

  [ SZ Lin (林上智) ]
  * d/control:
    - Add uploader column
    - Add VCS info.
  * d/copyright:
    - Add copyright info.
  * d/rules:
    - Remove trailing newline

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 08 May 2020 11:38:57 +0800

=== debian/control ===
Source: elementpath
Section: python
Priority: optional
Maintainer: Alvin Chen <sonoma001@gmail.com>
Uploaders: SZ Lin (林上智) <szlin@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-lxml,
               locales-all
Standards-Version: 4.5.0
Homepage: https://github.com/sissaschool/elementpath
Vcs-Browser: https://salsa.debian.org/debian/elementpath
Vcs-Git: https://salsa.debian.org/debian/elementpath.git
Rules-Requires-Root: no

Package: python3-elementpath
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Providing XPath selectors for Python's XML data structures
 The proposal of this package is to provide XPath 1.0 and 2.0 selectors
 for Python's ElementTree XML data structures, both for the standard
 ElementTree library and for the lxml.etree library.For lxml.etree.
 this package can be useful for providing XPath 2.0 selectors,
 because lxml.etree already has it's own implementation of XPath 1.0.

=== debian/tests/control ===
Depends:
 python3-all,
 python3-setuptools,
 python3-elementpath,
Test-Command: set -e; for py in $(py3versions -i); do echo "[*] testing on $py:"; $py -c "import elementpath; print(elementpath)"; done

## elementpath 2.1.2

=== debian/changelog ===
elementpath (2.1.2-1~cloud0) focal-wallaby; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 23 Mar 2021 13:36:27 +0000

elementpath (2.1.2-1) unstable; urgency=medium

  * Import new upstream release

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 25 Jan 2021 11:22:04 +0800

elementpath (2.1.1-1) unstable; urgency=medium

  * Import new upstream release
  * d/control:
    - Bump Standards-Version to 4.5.1
  *d/test/control:
    - Mark autopktest superficial

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 08 Jan 2021 14:09:40 +0800

elementpath (2.0.4-1) unstable; urgency=medium

  * Import new upstream release

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 04 Nov 2020 17:47:25 +0800

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=elementpath
%:
	dh $@ --with python3 --buildsystem=pybuild

## elementpath 2.5.0

=== debian/changelog ===
elementpath (2.5.0-1) unstable; urgency=medium

  * Import new upstream release
  * d/copyright:
    - Update copyright content

 -- SZ Lin (林上智) <szlin@debian.org>  Sun, 06 Mar 2022 19:07:56 +0800

elementpath (2.3.1-1) UNRELEASED; urgency=medium

  * Import new upstream release
  * d/control:
    - Bump Standards-Version to 4.6.0.1

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 16 Sep 2021 10:51:22 +0800

elementpath (2.3.0-1) unstable; urgency=medium

  * Import new upstream release
  * d/patches:
    - Drop d/patches that are merged in the upstream

 -- SZ Lin (林上智) <szlin@debian.org>  Sun, 05 Sep 2021 16:47:00 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-setuptools,
                python3-lxml,
                locales-all
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/sissaschool/elementpath
 Vcs-Browser: https://salsa.debian.org/debian/elementpath
 Vcs-Git: https://salsa.debian.org/debian/elementpath.git

=== debian/tests/control ===
Depends:
 python3-all,
 python3-setuptools,
 python3-elementpath,
Restrictions: superficial
Test-Command: set -e; for py in $(py3versions -i); do echo "[*] testing on $py:"; $py -c "import elementpath; print(elementpath)"; done

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/elementpath-$1\.tar\.gz/ \
  https://github.com/sissaschool/elementpath/releases/latest .*/v?(\d\S+)\.tar\.gz

## elementpath 2.5.3

=== debian/changelog ===
elementpath (2.5.3-1) unstable; urgency=medium

  * Import new upstream release
  * d/control:
    - Bump Standards-Version to 4.6.1.0

 -- SZ Lin (林上智) <szlin@debian.org>  Sat, 25 Jun 2022 20:46:00 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-setuptools,
                python3-lxml,
                locales-all
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/sissaschool/elementpath
 Vcs-Browser: https://salsa.debian.org/debian/elementpath
 Vcs-Git: https://salsa.debian.org/debian/elementpath.git

## elementpath 3.0.2

=== debian/changelog ===
elementpath (3.0.2-1) unstable; urgency=medium

  * Import new upstream release
  * Fix d/watch issue
  * Workaround for skipping test function issue
  * d/control:
    - Remove inactive maintainer

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 20 Dec 2022 21:42:48 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: elementpath
 Section: python
 Priority: optional
-Maintainer: Alvin Chen <sonoma001@gmail.com>
-Uploaders: SZ Lin (林上智) <szlin@debian.org>
+Maintainer: SZ Lin (林上智) <szlin@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=elementpath
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/elementpath-$1\.tar\.gz/ \
  https://github.com/sissaschool/elementpath/tags .*/v?(\d\S+)\.tar\.gz

## elementpath 4.4.0

=== debian/changelog ===
elementpath (4.4.0-1build2) oracular; urgency=medium

  * Restore original packaging after bootstrapping

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 04 May 2024 07:19:28 -0400

elementpath (4.4.0-1build1) oracular; urgency=medium

  * Revert "Test against python3-xmlschema" for bootstrapping

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 03 May 2024 13:51:31 -0400

elementpath (4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0
    (Closes: #1069770)
  * Transfer maintenance to Debian Python Team.
    Thanks to SZ Lin for their work
  * Reformat d/control
  * Bump Standards-Version to 4.7.0
  * Test against python3-xmlschema
  * Migrate to autopkgtest-pkg-pybuild
  * Update d/copyright
  * Point Vcs-* URLs at Python Team namespace

 -- Timo Röhling <roehling@debian.org>  Wed, 24 Apr 2024 22:15:09 +0200

=== debian/control ===
Source: elementpath
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 locales-all,
 python3-all,
 python3-lxml <!nocheck>,
 python3-setuptools,
 python3-xmlschema (>= 2.0.0) <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://github.com/sissaschool/elementpath
Vcs-Browser: https://salsa.debian.org/python-team/packages/elementpath
Vcs-Git: https://salsa.debian.org/python-team/packages/elementpath.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Description: XPath selectors for XML data structures in Python
 This package provides XPath 1.0, 2.0, 3.0 and 3.1 selectors
 for Python's ElementTree XML data structures, both for the standard
 ElementTree library and for the lxml.etree library.

Package: python3-elementpath
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

## elementpath 4.5.0

=== debian/changelog ===
elementpath (4.5.0-1) unstable; urgency=medium

  * New upstream version 4.5.0

 -- Timo Röhling <roehling@debian.org>  Thu, 12 Sep 2024 15:15:40 +0200

## elementpath 4.6.0

=== debian/changelog ===
elementpath (4.6.0-1) unstable; urgency=medium

  * Update d/watch to latest GitHub recipe
  * New upstream version 4.6.0

 -- Timo Röhling <roehling@debian.org>  Sun, 03 Nov 2024 00:20:12 +0100

## elementpath 4.7.0

=== debian/changelog ===
elementpath (4.7.0-1) unstable; urgency=medium

  * New upstream version 4.7.0
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Mon, 23 Dec 2024 01:00:53 +0100

=== debian/control ===
--- 
+++ 
@@ -31,4 +31,3 @@
  ${python3:Depends},
 Description: ${source:Synopsis}
  ${source:Extended-Description}
-

## elementpath 4.8.0

=== debian/changelog ===
elementpath (4.8.0-1) unstable; urgency=medium

  * New upstream version 4.8.0
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Thu, 13 Mar 2025 12:20:20 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-lxml <!nocheck>,
  python3-setuptools,
  python3-xmlschema (>= 2.0.0) <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/sissaschool/elementpath
 Vcs-Browser: https://salsa.debian.org/python-team/packages/elementpath
 Vcs-Git: https://salsa.debian.org/python-team/packages/elementpath.git

## elementpath 5.0.4

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = elementpath
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
elementpath (5.0.4-2) unstable; urgency=medium

  * Team upload.
  * Declare breaking python3-xmlschema before version 4.0
  * Drop obsolete Rules-Requires-Root: no
  * Update debian/watch to version 5

 -- Benjamin Drung <bdrung@debian.org>  Thu, 13 Nov 2025 12:08:57 +0100

elementpath (5.0.4-1) unstable; urgency=medium

  * New upstream version 5.0.4
  * Refresh patches (no functional changes)
  * Migrate to PEP 517 build

 -- Timo Röhling <roehling@debian.org>  Tue, 19 Aug 2025 10:20:06 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  dh-python,
  dh-sequence-python3,
  locales-all,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-lxml <!nocheck>,
  python3-setuptools,
@@ -17,7 +18,6 @@
 Homepage: https://github.com/sissaschool/elementpath
 Vcs-Browser: https://salsa.debian.org/python-team/packages/elementpath
 Vcs-Git: https://salsa.debian.org/python-team/packages/elementpath.git
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 Description: XPath selectors for XML data structures in Python
  This package provides XPath 1.0, 2.0, 3.0 and 3.1 selectors
@@ -29,5 +29,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+Breaks:
+ python3-xmlschema (<< 4),
 Description: ${source:Synopsis}
  ${source:Extended-Description}

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=elementpath

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5
Template: Github
Owner: sissaschool
Project: elementpath

## elementpath 5.1.0

=== debian/changelog ===
elementpath (5.1.0-1) unstable; urgency=medium

  * New upstream version 5.1.0
  * Refresh patch (no functional changes)
  * Bump Standards-Version to 4.7.3

 -- Timo Röhling <roehling@debian.org>  Fri, 02 Jan 2026 23:35:23 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-lxml <!nocheck>,
  python3-setuptools,
  python3-xmlschema (>= 2.0.0) <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/sissaschool/elementpath
 Vcs-Browser: https://salsa.debian.org/python-team/packages/elementpath
 Vcs-Git: https://salsa.debian.org/python-team/packages/elementpath.git

## elementpath 5.1.1

=== debian/changelog ===
elementpath (5.1.1-1) unstable; urgency=medium

  * New upstream version 5.1.1
  * Refresh patch (no functional changes)
  * Update copyright years

 -- Timo Röhling <roehling@debian.org>  Sat, 24 Jan 2026 23:17:12 +0100
